Subject: [Fwd: Re: SASL GSSAPI to IETF Last Call]

From: Alexey Melnikov <[email-masked]>
Date: Sat, 31 Mar 2001 17:29:31 -0700

I am forwarding a reply from Mark Crispin who implemented GSSAPI in UW.

Mark Crispin wrote:

> No, I don't read the IETF-SASL mailing list.  I didn't even know that such a
> thing existed.

> My primary concern is that the current UW IMAP implementation, which fully
> complies with GSSAPI as described in RFC 2222, is not broken in any way by any
> update to the GSSAPI SASL specification.  I would certainly oppose any update
> that did break UW IMAP.
>
> Since I haven't read the draft, I have no idea what the reference to "base32"
> is all about.  Here are my comments about the other issues in that message:
>
> I am not concerned about the authorization identity not being null terminated;
> I copy it to a buffer which I null-terminate.  I do assume that the
> authorization identity is everything after the 4 bytes of size/request.
>
> As far as protection flags in gss_init_sec_context(), I'll be happy to go with
> the flow.  I just picked a set of flags that seemed reasonable.
>
> It is probably a good idea to specify use of GSS_C_NO_CHANNEL_BINDINGS.

---

From: Alexey Melnikov <[email-masked]>
Date: Sat, 31 Mar 2001 17:29:31 -0700